/*
	Ninja Library
	
	COPYRIGHT (C) SEGA ENTERPRISES,LTD.

*/
#ifndef _NJ_CNK_EASY_MULTI_H_
#define _NJ_CNK_EASY_MULTI_H_

typedef    struct    {
    Float    z;                /* 3D Z                    */
    Float    x;                /* Screen X                */
    Float    y;                /* Screen Y                */
    Float    ooz;              /* One over Z              */
    Float    a;                /* Alpha                   */
    Float    r;                /* Red                     */
    Float    g;                /* Green                   */
    Float    b;                /* Blue                    */
} NJS_CNK_EASYMULTI_BUF;


Sint32  njCnkEasyMultiDrawModel( NJS_CNK_MODEL *model );
void    njCnkEasyMultiDrawObject( NJS_CNK_OBJECT *model );

void    njCnkSetEasyMultiLight(Int num);
void    njCnkSetEasyMultiLightSwitch(Int light, Int flag);
void    njCnkSetEasyMultiAmbient(Float ar, Float ag, Float ab);
void    njCnkSetEasyMultiLightColor(Int light, Float lr, Float lg, Float lb);
void    njCnkSetEasyMultiLightVector(Float vx, Float vy, Float vz);
void    njCnkSetEasyMultiLightVectorEx(Int light, Float vx, Float vy, Float vz);
void    njCnkSetEasyMultiLightPoint(Int light, Float px, Float py, Float pz);
void    njCnkSetEasyMultiLightRange(Int light, Float nrange, Float frange);
void    njCnkSetEasyMultiLightMatrices(void);


Sint32  njCnkEasyMultiDrawModel2p( NJS_CNK_MODEL *model , Float *color);
void    njCnkEasyMultiDrawObject2p( NJS_CNK_OBJECT *model , Float *color);

#endif	/*	_NJ_CNK_EASY_MULTI_H_	*/

/*
 * End Of File
 */
